This section informs you about all the requirements needed to use this solution.

# Instance Requirements
This solution is only compatible on instances with  **Dataiku DSS V9+**

## Code Environment
The project uses the code env **solution_factories_electricity_co2_forecasting**.

The code env only has one required package: 
>plotly-express>=0.4.1 
>nbformat>=4.2.0

[plotly-express ](https://plotly.com/python/plotly-express/) is used for the [meters_distribution](insight:meters_distribution) sunburst chart.


## Plugins

This project rely on 3 plugins: 

 - [Geocoder Plugin](https://www.dataiku.com/product/plugins/geocoder/): If your input dataset contains addresses, instead of geocoded locations, you will need to install this plugin on your DSS instance.

 - [Time Series preparation](https://www.dataiku.com/product/plugins/timeseries-preparation/)
 
 - [Time Series forecast](https://www.dataiku.com/product/plugins/timeseries-forecast/) 
 
 - [CO2 Conversion plugin](https://www.dataiku.com/product/plugins/co2-converter)


### Installing a DSS plugin
[Learn how to install a DSS plugin](https://doc.dataiku.com/dss/latest/plugins/installing.html).

### Using the ElectricityMap API

If you want to convert electricity consumption for locations other than France, you can use [electricityMap](https://app.electricitymap.org/) API. You can get using the [contact form](https://electricitymap.org/?utm_source=dataiku#contactform).

